function c = cellload(file)
% c = cellload(file)
% creates a cell array of string from file.
% file : string of file name.
% $Id: cellload.m,v 1.2 2004/09/30 05:34:12 dmochiha Exp $

% preallocate
l = wcl(file);
c = cell(1,floor(l * 3 / 4));

% open file
fid = fopen(file,'r');
if (fid == -1)
  error(sprintf('cellload: can''t open %s.\n',file));
end
fprintf(1,'loading %s..\n',file);
% read file
n = 0;
while ~feof(fid)
  l = fgetl(fid);
  if length(l) > 0  % skip blank lines
    n = n + 1;
    c{n} = l;
  end
end
% close file
fclose(fid);

% check
if (size(c,2) > n)
  disp('hoge!');
  newc = cell(1,n);
  newc(1:n) = c(1:n);
  c = newc;
end

% end of file.
